<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// No direct access.
defined('_JEXEC') or die;


class plgJshoppingProductsJSextyashare extends JPlugin {


	public function onBeforeDisplayProductView(&$view) {  
		//	
			//params
			$ext_float				= $this->params->get('ext_float', 'right');
			$ext_style 				= $this->params->get('ext_style', 'button');	
			$ext_lang				= $this->params->get('ext_lang', 'en');
			$ext_copyright			= (int)$this->params->get('ext_copyright', 1);
			$ext_position			= (int)$this->params->get('ext_position', 1);

			//Services
			$ArrayServices = array();		
			$varNames = array('yaru', 'vkontakte', 'facebook', 'twitter', 'odnoklassniki', 'moimir', 'lj', 'friendfeed', 'moikrug', 'gplus', 'pinterest', 'surfingbird');
			foreach($varNames as $varName) {
				${$varName} = $this->params->get("$varName");
				if(${$varName} == "no") {
					${$varName} = "";
				} else {
					$ArrayServices[] = ${$varName};
					}
			}
			$ext_array_empty = array(null);
			//Cleaning array
			$ArrayServices = array_diff($ArrayServices, $ext_array_empty);			
			$ext_services = implode(',', $ArrayServices);
			
			
			// hide copyright
			if ($ext_copyright > 0) {
				$document = JFactory::getDocument();
				$document->addStyleDeclaration(' a.b-share-popup__yandex {display: none !important;} ');
			}
			// code share
			$html = '<noindex><div><div style="float:'.$ext_float.';">
			<script type="text/javascript" src="//yandex.st/share/share.js" charset="utf-8"></script>
			<div class="yashare-auto-init" data-yashareL10n="'.$ext_lang.'" data-yashareType="'.$ext_style.'"
			data-yashareQuickServices="'.$ext_services.'"></div>
			</div><div style="clear:both;"></div></div></noindex>';		
			
			// display code
			
			switch ($ext_position) {
            case 1 :
                $view->_tmp_product_html_start = $html.$view->_tmp_product_html_start;
                break;
            case 3 :
                $view->_tmp_product_html_end = $html.$view->_tmp_product_html_end;
                break;
            default:
                $view->_tmp_product_html_after_buttons = $html.$view->_tmp_product_html_after_buttons;
                break;    
			}			
			
			return;
		//
	}
}